Skip to content

Batch Quick Rate

Request

This endpoint allows you to quickly retrieve shipment rate quotes by providing the from_address_data, to_address_data, package_data and the ship_date.
Each API call can include up to 10 individual rate requests.

Previously, this endpoint only returned rates for USPS Ground Advantage. With the new update, you may optionally specify additional carriers and service levels using the shipment_rate_carrier_data field. A detailed explanation of how to use this parameter can be found in the request schema.

  • If shipment_rate_carrier_data is omitted: The system will return rates only for USPS Ground Advantage (default behavior).

  • If shipment_rate_carrier_data is provided: The system will return rates only for the specified provider(s) and service level(s). Multiple combinations may be sent in a single request.

Security
BearerAuth
Bodyapplication/jsonrequired
rate_requestsArray of objects, <= 10 items(BatchQuickRateRequestItem)required

List of individual rate requests. Each API call can include up to 10 items.

POST
/api/shipment/batch/quick_rate
curl -i -X POST \
  https://x-api.shipsaving.com/api/shipment/batch/quick_rate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "rate_requests": [
      {
        "request_unique_id": "unique_uuid_001",
        "from_address_data": {
          "first_name": "Alice",
          "last_name": "Green",
          "company_name": "ShipSaving",
          "phone": "1234567890",
          "email": "it@shipsaving.com",
          "street": "xxxx Olive Street",
          "street2": "STE XXX",
          "city": "Los Angeles",
          "state": "CA",
          "zip_code": "021XX",
          "country": "US"
        },
        "to_address_data": {
          "first_name": "Alice",
          "last_name": "Green",
          "company_name": "ShipSaving",
          "phone": "1234567890",
          "email": "it@shipsaving.com",
          "street": "xxxx Olive Street",
          "street2": "STE XXX",
          "city": "Los Angeles",
          "state": "CA",
          "zip_code": "021XX",
          "country": "US",
          "address_type": "residential"
        },
        "package_data": {
          "type": "my_package",
          "length": 10,
          "width": 10,
          "height": 10,
          "weight": 10,
          "carrier_package_code": "USPS_SMALL_FLAT_RATE_BOX",
          "dimension_unit": "in",
          "weight_unit": "lb"
        },
        "option_data": {
          "signature": "signature",
          "custom_text_on_label_1": "Please put the package in the locker.",
          "custom_text_on_label_2": "Please put the package in the locker.",
          "hazardous_materials": true,
          "is_lithium_battery": false,
          "additional_handling": false,
          "require_saturday_delivery": false
        },
        "ship_date": "2025-07-31T00:00:00+08:00",
        "is_return_label": false,
        "shipment_rate_carrier_data": [
          {
            "provider_id": "USPS_X",
            "service_levels": [
              "USPS_GROUND_ADVANTAGE"
            ]
          }
        ]
      }
    ]
  }'

Responses

OK

Bodyapplication/json
codestring
Example:"ok"
msgstring
Example:"ok"
dataArray of objects(BatchQuickRateItem)
Response
{ "code": "ok", "msg": "ok", "data": [ { … } ] }